﻿using System;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AI_LocalSurfer : MonoBehaviour {

	public float strength = 0.01f;
	float waterspeed;
	public float interval = 3f;
	bool paddeling = false;

	public Sprite speechbubble;
	public SpriteRenderer bubble;

	// Update is called once per frame
	void Start () {
		waterspeed = PaddleLogic.instance.speed_required;
	}

	void Update(){
		if (speechbubble != null && transform.position.y < 1){
			bubble.sprite = speechbubble;
			StartCoroutine(SetActiveAfter(bubble.gameObject, true, 0f));
			StartCoroutine(SetActiveAfter(bubble.gameObject, false, 2f));
			speechbubble = null;
		}
	}

	void FixedUpdate(){
		GetComponent<Rigidbody2D>().AddForce(new Vector2(0, -PaddleLogic.instance.speed_required), ForceMode2D.Force);
		if (!paddeling){
			paddeling = true;
			StartCoroutine(Impulse());
		}
		if (transform.position.y < -10){
			Destroy(this.gameObject);
		}
	}
    IEnumerator SetActiveAfter (GameObject go, bool active, float seconds){
		yield return new WaitForSeconds(seconds);
		go.SetActive(active);
	}
    IEnumerator Impulse (){
		yield return new WaitForSeconds(interval);
        GetComponent<Rigidbody2D>().AddForce(strength * waterspeed * Vector2.up, ForceMode2D.Impulse);
		SwapSprite();
		paddeling = false;
    }

    private void SwapSprite(){
        GameObject s1 = transform.Find("sprite1").gameObject;
		GameObject s2 = transform.Find("sprite2").gameObject;
		s1.SetActive(!s1.activeSelf);
		s2.SetActive(!s2.activeSelf);
    }
}
