﻿using System;
using UnityEngine;
using UnityEngine.UI;

public class CollisionManager : MonoBehaviour {

	bool countdown = false;
	float timeLeft = 5f;
	public int countdown_time = 5;
	public int countdown_time_display = 5;
	public GameObject borders;
	public GameObject dontbail;
	public Text countdown_text;
	public GameObject clash;

	void OnCollisionEnter2D(Collision2D other){
		if (other.gameObject.CompareTag("bayboy")){
			if (!clash.activeSelf){ // only clash once ;)
				clash.SetActive(true);
				GameLogic.instance.gameObject.GetComponent<PaddleLogic>().enabled=false;
				GetComponent<AudioSource>().Play();
				GameLogic.instance.EndScene(GameData.Outcome.Fail_wiped, 2.5f);
			}
		}
	}

	void OnTriggerEnter2D(Collider2D other){
		if (other.gameObject.name == "OuterBounds"){
			Debug.Log("Hit outer bounds");
			borders.SetActive(true);
		}
		if (other.gameObject.name == "InnerBounds"){
			Debug.Log("Returned to inner bounds. stop countdown");
			countdown = false;
			countdown_text.text = "";
			dontbail.SetActive(false);
		}	
	}

	void OnTriggerStay2D(Collider2D other){
		if (other.gameObject.name == "OuterBounds" && !countdown){
			
		}
	}

	void OnTriggerExit2D(Collider2D other){
		if (other.gameObject.name == "InnerBounds"){
			Debug.Log("Left inner bounds. Start countdown for fail");
			timeLeft = countdown_time;
			countdown_time_display = countdown_time;
			countdown = true;
			dontbail.SetActive(true);
		}
		if (other.gameObject.name == "OuterBounds"){
			borders.SetActive(false);
		}
	}

	void Update(){
		if (countdown){
			timeLeft -= Time.deltaTime;
			if (timeLeft < countdown_time_display && countdown_time_display >= 0){
				// TODO visual message
				countdown_text.text = countdown_time_display.ToString();
				Debug.Log("You have "+countdown_time_display+" seconds to comply");
				countdown_time_display--;
			}
			if(timeLeft < 0)
			{
				GameLogic.instance.EndScene(GameData.Outcome.Fail_out_of_bounds, 1f);
			}
		}
	}
}
