﻿using UnityEngine;

public class GameData : MonoBehaviour {
	public enum Outcome{
		Fail_out_of_bounds,
		Fail_wiped,
		Success
	}
	public bool tutorial = true;
	public Outcome outcome = Outcome.Success;
	public float timePassed = 0;
	public float distanceRemaining = 0;
	public static GameData instance;

	void Awake(){
		if (instance == null){
			instance = this;
			DontDestroyOnLoad(this.gameObject);
			return;
		}
		Debug.Log("destroy gameobject");
		Destroy(this.gameObject);
	}

	public void ToggleTutorial(){
		tutorial = !tutorial;
	}

// utility 

	public static string GetTimeAsText(float timer){
		int minutes = (int) (timer / 60);
		int seconds = (int) (timer%60);
		int miliseconds = (int) ((timer%1)*1000);
		return minutes.ToString("00")+":"+seconds.ToString("00")+"."+miliseconds.ToString("000");
	}
}
