﻿
using System.Collections;
using UnityEngine;
using UnityEngine.SceneManagement;

public class GameLogic : MonoBehaviour {
	public GameObject panelTutorialStep1;
	public GameObject panelTutorialStep2;
	public static GameLogic instance;
	public bool tutorialIsRunning = false;


	void Awake(){
		instance = this;
	}

	void Start(){
		if (GameData.instance != null && GameData.instance.tutorial){
			tutorialIsRunning = true;
			StartCoroutine(StartTutorialRoutine());
		}
	}
	public void EndScene(GameData.Outcome outcome, float delay){
		StartCoroutine(EndSceneRoutine(outcome,delay));
	}

	public bool ContinueTutorial(PaddleLogic.Stroke s){
		if (panelTutorialStep1.activeSelf && s.side == false){
			Time.timeScale = 1;
			panelTutorialStep1.SetActive(false);
			StartCoroutine(ContinueTutorialRoutine());
			return true;
		}
		if (panelTutorialStep2.activeSelf && s.side){
			Time.timeScale = 1;
			panelTutorialStep2.SetActive(false);
			tutorialIsRunning = false;
			// disable tutorial??
			//GameData.instance.tutorial = false;
			return true;
		}
		return false;
	}

	IEnumerator EndSceneRoutine(GameData.Outcome outcome, float delay){
		yield return new WaitForSeconds(delay);
		Debug.Log("Outcome of scene was:"+outcome+". Loading ending");
		if (GameData.instance != null){
			GameData.instance.outcome = outcome;
		}else{
			Debug.LogError("no game data - running scene in editordirectly?");
		}
        SceneManager.LoadScene("Ending");
    }
	IEnumerator StartTutorialRoutine(){
		yield return new WaitForSeconds(0.8f);
		panelTutorialStep1.SetActive(true);
		Time.timeScale = 0;
	}
	IEnumerator ContinueTutorialRoutine(){
		yield return new WaitForSeconds(0.3f);
		panelTutorialStep2.SetActive(true);
		Time.timeScale = 0;
	}
}
